package com.bupt.note.Repository;

import com.bupt.note.Model.Collect;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;

import javax.transaction.Transactional;
import java.util.List;

public interface CollectRepository extends JpaRepository<Collect, Long> {
    boolean existsByPaperIdAndUserName(Long paperId, String userName);
    @Modifying
    @Transactional
    Integer deleteByPaperIdAndUserName(Long paperId, String userName);

    List<Collect> findByUserName(String userName);
}
