package com.bupt.note.dto;

import com.bupt.note.Model.Note;

/**
 * 笔记表单
 */
public class NoteForm {
    private String noteId;
    private String noteTitle;
    private String noteContent;
    private String originalText;
    private Long paperId;
    private Long fileId;
    private String content;

    public String getNoteId() {
        return noteId;
    }

    public void setNoteId(String noteId) {
        this.noteId = noteId;
    }

    public String getNoteTitle() {
        return noteTitle;
    }

    public void setNoteTitle(String noteTitle) {
        this.noteTitle = noteTitle;
    }

    public String getNoteContent() {
        return noteContent;
    }

    public void setNoteContent(String noteContent) {
        this.noteContent = noteContent;
    }

    public Long getPaperId() {
        return paperId;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Long getFileId() {
        return fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }

    public String getOriginalText() {
        return originalText;
    }

    public void setOriginalText(String originalText) {
        this.originalText = originalText;
    }

    public Note toNote(){
        Note note=new Note();
        note.setOriginalText(this.originalText);
        note.setPaperId(this.paperId);
        note.setNoteContent(this.noteContent);
        note.setNoteTitle(this.noteTitle);
        note.setNoteId(this.noteId);
        return note;
    }
}
